<template>
  <div class="hero">
  <div class="hero-row">
    <div class="hero-column">
      <GlobeView />
    </div>
    <div class="hero-column">
      <div class="latest-activities">
        <h2>INFORMATION ABOUT LATEST ACTIVITIES ON THE NETWORK</h2>
        <!-- Contenu sur les dernières activités -->
        ...
      </div>
      <div class="selected-cdm">
        <h2>INFO ON THE SELECTED CDM by the USER (Sat 1, Sat 2, time to approach...)</h2>
        <!-- Contenu sur le CDM sélectionné par l'utilisateur -->
        ...
      </div>
    </div>
  </div>
  </div>
</template>

<script setup lang="ts">
import GlobeView from '@/components/GlobeCDMView.vue'
</script>

<style scoped>
.hero {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.hero-row {
  display: flex;
  width: 100%;
  /*
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 2rem;
  padding: 2rem;
  */
}

.hero-column {
  flex: 1;
  padding: 10px;
  max-width: 60%;
}

.latest-activities,
.selected-cdm {
  width: 100%;
  margin-bottom: 2rem;
}

.latest-activities h2,
.selected-cdm h2 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
}

/* @media (min-width: 768px) {
  .hero-left,
  .hero-right {
    width: 100%;
  }
} */
</style>
